curl --request GET \
--url https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"defaultFor": [
"SHIP_FROM"
],
"name": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"zip": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"id": 123
}Get address
Get seller’s current default address for the given address type.
curl --request GET \
--url https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/addresses/{sellerId}/default/{defaultAddressType}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"defaultFor": [
"SHIP_FROM"
],
"name": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"zip": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"id": 123
}Authorizations
Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.
Path Parameters
The unique identifier for the seller account. This ID is used to scope operations to a specific seller's data and resources.
The type of default address. Must be one of: SHIP_FROM, PICKUP, RETURN.
SHIP_FROM, PICKUP, RETURN Response
Returns the requested address with full details.
Complete address information from the address book. Contains full address details including street, city, country, postal code, and optional identifiers.
Array of default for
SHIP_FROM, PICKUP, RETURN The name of the item
Company name
Address information
Address information
ZIP or postal code
City name
State or province
Country code or name
Phone number
Email address
The unique identifier for the address.